<?php
session_start();
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session


  $conexion=conecta_default();

  $fecini = $_POST['anio'].'-'.$_POST['mes'].'-01';
  $fecfin = $_POST['anio'].'-'.$_POST['mes'].'-31';
  $anio = $_POST['anio'];
  $mes = $_POST['mes'];
  
  switch($mes)
  {
     case '01': $mesnom = "Enero"; break;
     case '02': $mesnom = "Febrero"; break;
     case '03': $mesnom = "Marzo"; break;
     case '04': $mesnom = "Abril"; break;
     case '05': $mesnom = "Mayo"; break;
     case '06': $mesnom = "Junio"; break;
     case '07': $mesnom = "Julio"; break;
     case '08': $mesnom = "Agosto"; break;
     case '09': $mesnom = "Septiembre"; break;
     case '10': $mesnom = "Octubre"; break;
     case '11': $mesnom = "Noviembre"; break;
     case '12': $mesnom = "Diciembre"; break;
    }
  
  
    $sel = "SELECT id_inver, nombre, appat, apmat, primeraG, segundaG, terceraG, cuartaG, quintaG FROM historial_calif JOIN inversionista ON inversionista.id_inver = historial_calif.inversionista_id_inver WHERE inversionista.califico='SI' AND historial_calif.fecha BETWEEN '$fecini' AND '$fecfin' ORDER BY id_inver";
    $cons = mysqli_query($conexion, $sel) or die('Err0: '. mysqli_error($conexion));
	
    if (mysqli_affected_rows($conexion))
    {   
	echo "<center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Reporte de Calificados del mes.</label></center>";        
	echo "<br /><table border='1' align='center' width='700'>";    
    echo "<tr align='center'> <td>No. <td>Nombre <td>G1 <td>G2 <td>G3 <td>G4 <td>G5";
    $con = 1;

    while($res = mysqli_fetch_object($cons))
    {
  	  $idin = $res->id_inver;
      $g1 = $res->primeraG;
      $g2 = $res->segundaG;
      $g3 = $res->terceraG;
      $g4 = $res->cuartaG;
      $g5 = $res->quintaG;

  	  echo "<tr align='right'> <td>$con <td align='left'>$res->nombre $res->appat $res->apmat <td>$g1 <td>$g2 <td>$g3 <td>$g4 <td>$g5 </tr>";     
  	  $con++; 
     } 
     echo "</table>";
    }
    else 
    {
    	echo "<html>";
   		echo "<head><meta http-equiv='Refresh' content='7;URL=javascript: history.go(-1);'></head>";
    	echo "<center>";
   		echo "<div style='width:500px; height:400; background: url(logotransp2.gif)'";
   		echo "<form name='form1' action='index.php' method='post' style='padding-top:120px'>";
   		echo "<label style='color:#FF0000; font-weight:bold; font-size:26px; padding-left:30px;'>MENSAJE:</label> <br /> <label style='color:#5C3C12; font-weight:bold; font-size:22px; padding-left:30px;'>NO SE ENCONTRARON REGISTROS DE PERSONAS QUE HAYAN CALIFICADO EN ESE MES.</label>";
    	echo "<br /><br />Pulsa <a href='javascript: history.go(-1);'>aqu&iacute;</a> si tu navegador no te redirecciona automaticamente";
   	
   		echo "</form>";
   		echo "</div>";
    	echo "</center>";
    	echo "</html>";
    }
   
  ?>